/*
 * CallCenterSatrter.java
 *
 * Created on 10 de agosto de 2004, 18:43
 */

package com.fenalco.servlets.callcenter;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletConfig;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import com.fenalco.utilities.MessageBuilder;
/**
 *
 * @author  andres
 * @version
 *
 * Carga la información necesaria para construir la página principal del usuario
 * de call center, esta información debe ser:
 * - ?????
 * - ?????
 */
public class CallCenterStarter extends HttpServlet
{
    
    /** Initializes the servlet.
     */
    public void init(ServletConfig config) throws ServletException
    {
        super.init(config);
        
    }
    
    /** Destroys the servlet.
     */
    public void destroy()
    {
        
    }
    
    /** Processes requests for both HTTP <code>GET</code> and <code>POST</code> methods.
     * @param request servlet request
     * @param response servlet response
     */
    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        
        String url;
        String message="";
        if(request.getAttribute("message")!=null){
            message=request.getAttribute("message").toString();
        }
        HttpSession session = request.getSession(false);
        if(session == null){
            url="/index.jsp";
            message=MessageBuilder.buildMessage(15);
        }else{
        
            url = "/callcenter/callcenter.jsp";
        }
        request.setAttribute("message", message);
        RequestDispatcher dispatcher = getServletContext().getRequestDispatcher(url);
        dispatcher.forward(request, response);        
        
    }
    
    /**
     * Carga la siguiente información:
     * - ?????
     * - ?????
     * la mete en el request como atributos y redirecciona a /callcenter/callcenter.jsp
     *
     * Además de esto, mete en la sesión en un atributo que se llame callcenter
     * el nombre de usuario de call center que inicia sesión, esto se hace para
     * que cuando se inicia sesión como otro usuario en la sesión permanezca
     * la información del usuario de call center
     *
     * 
     * @param request servlet request
     * @param response servlet response
     */
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException
    {
        processRequest(request, response);
    }
    
    /** Handles the HTTP <code>POST</code> method.
     * @param request servlet request
     * @param response servlet response
     */
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException
    {
        processRequest(request, response);
    }
    
    /** Returns a short description of the servlet.
     */
    public String getServletInfo()
    {
        return "Short description";
    }
    
}
